--- dlls/comctl32/listview.c	2005-04-14 22:58:24.000000000 +0900
+++ dlls/comctl32/listview.c	2005-05-18 16:45:20.459797672 +0900
@@ -4489,6 +4489,17 @@
     if (!notify_dispinfoT(infoPtr, LVN_ENDLABELEDITW, &dispInfo, isW)) return FALSE;
     if (!pszText) return TRUE;
 
+    if (!(infoPtr->dwStyle & LVS_OWNERDATA))
+    {
+        HDPA hdpaSubItems = (HDPA)DPA_GetPtr(infoPtr->hdpaItems, infoPtr->nEditLabelItem);
+        ITEM_INFO* lpItem = (ITEM_INFO *)DPA_GetPtr(hdpaSubItems, 0);
+        if (lpItem && lpItem->hdr.pszText == LPSTR_TEXTCALLBACKW)
+        {
+            LISTVIEW_InvalidateItem(infoPtr, infoPtr->nEditLabelItem);
+            return TRUE;
+        }
+    }
+
     ZeroMemory(&dispInfo, sizeof(dispInfo));
     dispInfo.item.mask = LVIF_TEXT;
     dispInfo.item.iItem = infoPtr->nEditLabelItem;
